Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.utils.xml.v2
Interface InitializableXMLObject

All Known Implementing Classes:
  BaseManagedRenderer, DBPreferenceStore, DefaultEventDefinition, DefaultParameterDefinition, DefaultPortletDefinition, DefaultProviderDefinition, FilePreferenceStore, JavaRenderer, LiteralXML, PrefStorePersonalizationManager, RenderManager

public interface InitializableXMLObject

The `InitializableXMLObject` interface is intended to allow an application object created by a `DefaultNodeHandler` to expose initialization and validation methods to be called at strategic points in the building of the application object 'tree'.

Method Summary
`void` | `postInitialize()` Performs any extra steps required to initialize and validate this application object once its child application objects have been created.
`void` | `preInitialize(java.lang.Object o)` Performs any steps required to initialize this application object after it has been created, perhaps relating this object to its parent.

Method Detail

### preInitialize

    public void preInitialize(java.lang.Object o)
                       throws NodeHandlerException

  Performs any steps required to initialize this application object after it has been created, perhaps relating this object to its parent.
  Parameters:
    `o` - the application object that will become this object's parent
  Throws:
    `NodeHandlerException` - if an error occurs while initializing this application object

### postInitialize

    public void postInitialize()
                        throws NodeHandlerException

  Performs any extra steps required to initialize and validate this application object once its child application objects have been created.
  Throws:
    `NodeHandlerException` - if an error occurs while initializing or validating this application object

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.